Rakarrack 0.1.2 Liberado!!!!

  • 2
Blask
#16 por Blask el 20/06/2008
¡No puedo compilarlo!

[code]...
checking libintl.h presence... yes
checking for libintl.h... yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking for unistd.h... (cached) yes
checking X11/xpm.h usability... no
checking X11/xpm.h presence... no
checking for X11/xpm.h... no
checking alsa/asoundlib.h usability... no
checking alsa/asoundlib.h presence... no
checking for alsa/asoundlib.h... no
configure: error: Alsa is required
[/code]

Parece que no encuentra ALSA... No tengo ninguna tarjeta de sonido configurada para ALSA, ya que la integrada de la placa no tira... (Asus P5B Plus, el chipset es Intel ICH8). Lo que utilizo es Jack + Freebob con un interfaz Firewire. ¿No es posible utilizarlo a través de Jack?
Subir
--6355--
#17 por --6355-- el 20/06/2008
Blask escribió:
¡No puedo compilarlo!

[code]...
checking libintl.h presence... yes
checking for libintl.h... yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking for unistd.h... (cached) yes
checking X11/xpm.h usability... no
checking X11/xpm.h presence... no
checking for X11/xpm.h... no
checking alsa/asoundlib.h usability... no
checking alsa/asoundlib.h presence... no
checking for alsa/asoundlib.h... no
configure: error: Alsa is required
[/code]

Parece que no encuentra ALSA... No tengo ninguna tarjeta de sonido configurada para ALSA, ya que la integrada de la placa no tira... (Asus P5B Plus, el chipset es Intel ICH8). Lo que utilizo es Jack + Freebob con un interfaz Firewire. ¿No es posible utilizarlo a través de Jack?


Lo que te está pididendo ahí son las librerías de desarrollo de alsa ( libasound2-dev )

Rakarrack tiene , si no me equivoco , las mismas dependencias que otro programa del mismo autor , horgand , así que un apt-get build-dep horgand , debería instalarte lo que necesitas para compilarlo.
Subir
Rakarrack Team
#18 por Rakarrack Team el 21/06/2008
Hola ...

Tienes que instalar la librería que te indicaron libasound2-dev, se supone que eso te instalará también la librería libasound que es la que se necesita para el runtime. También es necesario que tengas instalada la utilidad aconnect que esta incluida en el paquete alsa-utils.

Aparte de eso debes de arrancar el secuenciador ALSA .... para eso tendrás que cargar los modulos del kernel del secuenciador ALSA, snd-seq-midi. La cuestión es que al no estar soportada tu tarjeta, igual necesitaras cargar algún interface MIDI virtual .... el modulo del kernel que hace de interface virtual del secuaneciador ALSA se llama virmidi

Así que una vez compilado el programa, para que este pueda funcionar necesitar arrancar el secuenciador ALSA... y exactamente no sé los pasos necesarios, pero vaya puedes probar con:

modprobe virmidi
modprobe snd-seq-dummy
modprobe snd-seq-midi

Creo que cargando esto ... y como cada uno carga sus dependencias debería funcionar.
Una vez hecho eso ya podrás ejecutar rakarrack.
Subir
Rakarrack Team
#19 por Rakarrack Team el 21/06/2008
Hola ...

Me acabo de fijar en la salida del configure.... y también necesitas instalar la libreria: libxpm-dev que se supone que te instalará la librería necesaria en el runtime llamada: libxpm4
Subir
José GDF
#20 por José GDF el 07/02/2009
Al equipo de Rakarrack:

¿Sabéis si vuestro procesador de efectos va a incluirse en alguna distro próxima, como Ubuntu Studio o Musix? Sólo lo he conseguido instalar vía código fuente en mi amd64 con ciertos problemas, pero no me dio por apuntarlos, y al intentar instalarlo de nuevo, en otra partición en el mismo ordenador, me está dando otros, que creo que tienen relación con una librería, la libc6, que al instalar las dependencias, me la pide, pero luego resulta que sí está instalada, y en su versión más reciente, además. #-o

¿Qué creéis que puedo estar haciendo mal, con los escasos datos que os doy? ¿Lo intento de nuevo y os copio y pego la salida del Terminal?

¿No existe en ningún repositorio algún instalador *.*deb ya compilado para instalar en un amd64?

Gracias de antemano.
Subir
José GDF
#21 por José GDF el 25/04/2009
Instalé sin problemas, solucionando estas dependencias, con la tarball:

[list]* jackd
* libjack-dev
* libjack0.100.0-0
* libjack0.100.0-dev
* libfltk1.1-dev
* libasound2-dev
* libxpm-dev
* aconnectgui[/list]

Con la Terminal, usé un único comando para instalarlas de una sola vez, y aptitude se encargó de resolver las correspondientes subdependencias:

[code]sudo aptitude install jackd libjack-dev libjack0.100.0-0 libjack0.100.0-dev libfltk1.1 libfltk1.1-dev libasound2-dev libxpm-dev aconnectgui[/code]

Descargué este archivo de SourceForge, descomprimí, y luego, lo habitual para instalar desde las fuentes:

[code]./configure[/code]

[code]make[/code]

y

[code]sudo make install[/code]

El proceso de make es el que más tarda, aproximadamente unos dos o tres minutos.

De todas formas, creé un archivo instalable *.deb para amd64, y con el permiso de Josep Andreu, dejo un enlace indirecto para quien lo quiera:

rakarrack|_0.3.0-1|_amd64.deb

Nota importante: todo ésto lo hice en Ubuntu Studio 8.04 Hardy, aunque también lo conseguí en una ocasión en Intrepid.

Cuanto más pruebo este procesador de efectos, más me gusta. No tardaré mucho en utilizarlo para algún tema. Muchas gracias al equipo de Rakarrack por tan excelente programa.
Subir
Chickenexecutor
#22 por Chickenexecutor el 26/04/2009
Gente como tú son los que hacen que el software libre mole.
GRACIAS!!!
Subir
igny
#23 por igny el 26/04/2009
Lo probaré y muchas gracias por el trabajo
Subir
José GDF
#24 por José GDF el 26/04/2009
Ha sido todo un placer.Ya contaréis cómo os va, y a ver si hacemos entre todos un banco de preajustes para sumarlo al que ya tiene. 8)
Subir

Hilos similares

Respuesta rápida

Regístrate o para poder postear en este hilo